/*
 * RSX11M V4.0 System Definition Headers for C.
 *
 * CLI information buffer gcibuf.
 * See RSX-11M/M+ V4.0 Exec manual section 5.3.31
 *
 * Used with 'gcii()' function.
 *
 * INCLUDE CX.H PRIOR TO INCLUDING THIS FILE
 *
 * Bob Denny
 * 19-Oct-82
 *
 */
struct gcibuf  {
               rad50 g_cicl[2];        /* CLI name RAD50 */
               word  g_cics;           /* CLI status word */
               rad50 g_citk[2];        /* CLI task name RAD50 */
               word  g_ciw2;           /* Terminal's U.CW2 */
               word  g_cipu;           /* Terminal's protection UIC */
               word  g_cicu;           /* Terminal's current UIC */
               char  g_cidp[16];       /* CLI default prompt string */
               };                      /* 1st byte is length of string */

/*
 * Bit definitions for g_cics
 */
#define  CP_NUL   1                    /* Pass empty lines to CLI */
#define  CP_MSG   2                    /* CLI wants system messages */
#define  CP_LGO   4                    /* Commands from logged-off terminals */
#define  CP_DSB   010                  /* CLI is disabled */
#define  CP_PRV   020                  /* User must be privileged */
#define  CP_SGL   040                  /* Don't handle continuation lines */
#define  CP_NIO   0100                 /* MCR..., HEL, BYE are silent */
#define  CP_RST   0200                 /* Restricted access */
#define  CP_EXT   0400                 /* Pass task exit prompt req. to CLI */

/*
 * Pre-defined codes for g_ciw2.  Meanings
 * are the usual 'M U.CW2 codes.
 */
#define  FD_REC   1
#define  FD_CCL   2
#define  FD_TTY   4
#define  FD_DIR   010
#define  FD_SDI   020
#define  FD_SQD   040
#define  FD_ISP   02000
#define  FD_OSP   04000
#define  FD_PSE   010000
#define  FD_COM   020000
#define  FD_F11   040000
#define  FD_MNT   0100000
